質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.61%

  • Python

    7482questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    5896questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MNISTデータの読み込みエラー(ゼロから作るDeepLearning)

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 424

mustache

score 1

 前提・実現したいこと

「ゼロから作るDeepLearning」(斎藤康毅,オライリー・ジャパン)でディープラーニングについて勉強中です。
上記書籍のp73、MNISTデータの読み込み中にエラーが出ました。

 実行文

コマンドプロンプトで実行した文です。ユーザー名を「Username」に置き換えています。

C:\Users\Username\deep-learning-from-scratch-master\ch03>python
Python 3.6.4 |Anaconda, Inc.| (default, Jan 16 2018, 10:22:32) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys, os
>>> sys.path.append(os.pardir)
>>> from dataset.mnist import load_mnist
>>> (x_train, t_train), (x_test, t_test) = \
...     load_mnist(flatten=True, normalize=False)

 エラーメッセージ

エラーメッセージというか、出力された文章です。

Downloading train-images-idx3-ubyte.gz ...
Traceback (most recent call last):
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 1318, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 1239, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 1285, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 1234, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 1026, in _send_output
    self.send(msg)
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 964, in send
    self.connect()
  File "C:\Users\Username\Anaconda3\lib\http\client.py", line 936, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "C:\Users\Username\Anaconda3\lib\socket.py", line 704, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "C:\Users\Username\Anaconda3\lib\socket.py", line 745, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 2, in <module>
  File "..\dataset\mnist.py", line 106, in load_mnist
    init_mnist()
  File "..\dataset\mnist.py", line 75, in init_mnist
    download_mnist()
  File "..\dataset\mnist.py", line 42, in download_mnist
    _download(v)
  File "..\dataset\mnist.py", line 37, in _download
    urllib.request.urlretrieve(url_base + file_name, file_path)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 248, in urlretrieve
    with contextlib.closing(urlopen(url, data)) as fp:
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 223, in urlopen
    return opener.open(url, data, timeout)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 526, in open
    response = self._open(req, data)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 544, in _open
    '_open', req)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 504, in _call_chain
    result = func(*args)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 1346, in http_open
    return self.do_open(http.client.HTTPConnection, req)
  File "C:\Users\Username\Anaconda3\lib\urllib\request.py", line 1320, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>
>>>

 試したこと

プログラミング初心者で、Pythonもコマンドプロンプトもあまりわかっていない状態です。
自分でもエラーの原因を調べてみたのですが、とりあえずここで躓く人が多いことはわかりました。
しかしその人たちはmacユーザーが大半だったり(そもそも本自体がmac主体)、windowsユーザーでもUbuntuなるものを使っている方が多かったりとwindowsのコマンドプロンプトで同じ問題が起きてる人がいないらしく…
3時間くらい潜ってみましたが、「どうやらカレントディレクトリの問題ではないらしい」、ということしかわかりませんでした。もうどう手を付ければいいのやらまったくわからず、ここにきました。

 補足情報(FW/ツールのバージョンなど)

すみません本当にわかりません。おそらくPython3.6(?)、コマンドプロンプトでちまちまやっています。
お察しの通り、質問初めてです。何かとんでもなく失礼なことをしてるかもしれません。形式とか無視してたら本当にすみません。
ご一考いただければと存じます。よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

+1

そのマシンから http://yann.lecun.com/exdb/mnist/が開けますか?

もし開けるなら、たまたまその時インターネットアクセスができない状態だっただけで、再度試したらうまくいくかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/13 07:21

    返信が遅くなってしまいすみません。
    webページにアクセスできることを確認したうえでやってみましたが、やはりうまくいきませんでした。

    キャンセル

checkベストアンサー

0

https://oshiete.goo.ne.jp/qa/4900438.html

とりあえず、プロキシとか社内ネットワークの問題ではないという前提からスタートします。


http://aidiary.hatenablog.com/entry/20161109/1478696865

これの一番最初のあたりのデータのロードをやってみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/13 08:23

    「プロキシ」という言葉を聞いて、少し前プロキシを使っていた時にプロキシ関係で環境変数を一部いじっていたのを思い出しました。
    今は家庭回線でつないでいますし、当然インターネットの設定も戻したので大丈夫だと思っていたんですが。。。
    いじった環境変数を元に戻すと正常にインストールできました。ご教授いただいたのにすみません。お騒がせいたしました。ありがとうございました。

    キャンセル

0

昔プロキシを使っていた時に、「HTTP_PROXY」「HTTPS_PROXY」などの環境変数を作って遊んでました(名前は間違ってるかも。さっき焦ってすぐ消しちゃったので...)。それを消すと正常に動作します。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    7482questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    5896questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。